Intermittent timeout in browser_bug484315.js

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86_64
macOS
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274395756.1274399066.12199.gz&fulltext=1
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/20 15:49:16
s: talos-r3-snow-019

Running chrome://mochikit/content/browser/browser/base/content/test/browser_bug484315.js...
Chrome file doesn't exist: /Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/mochitest/browser/browser/base/content/test/head.js
++DOCSHELL 0x10fa2d120 == 42
++DOMWINDOW == 93 (0x10fae0a90) [serial = 219] [outer = 0x0]
++DOMWINDOW == 94 (0x10fa71c40) [serial = 220] [outer = 0x10fae0a30]
++DOCSHELL 0x10fadfd40 == 43
++DOMWINDOW == 95 (0x10facf1c0) [serial = 221] [outer = 0x0]
++DOCSHELL 0x10fc369a0 == 44
++DOMWINDOW == 96 (0x10fc16990) [serial = 222] [outer = 0x0]
++DOCSHELL 0x1198cadc0 == 45
++DOMWINDOW == 97 (0x1198cb270) [serial = 223] [outer = 0x0]
WARNING: Subdocument container has no frame: file /builds/slave/mozilla-central-macosx64-debug/build/layout/base/nsDocumentViewer.cpp, line 2342
++DOMWINDOW == 98 (0x11988aab0) [serial = 224] [outer = 0x10facf160]
WARNING: Subdocument container has no frame: file /builds/slave/mozilla-central-macosx64-debug/build/layout/base/nsDocumentViewer.cpp, line 2342
++DOMWINDOW == 99 (0x11987e1c0) [serial = 225] [outer = 0x10fc16930]
++DOMWINDOW == 100 (0x11986b600) [serial = 226] [outer = 0x1198cb210]
###!!! ASSERTION: Oops!  You're asking for a weak reference to an object that doesn't support that.: 'factoryPtr', file nsWeakReference.cpp, line 109
nsPrintSession::AddRef()+0x0013C6DB [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x012E45F1]
XRE_GetFileFromPath+0x000BBBE0 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x000F491B]
NS_StringContainerInit2_P+0x0000C81B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x01304ACB]
NS_StringContainerInit2_P+0x0000DA05 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x01305CB5]
NS_InvokeByIndex_P+0x00000240 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x013765AD]
DumpJSStack+0x00057469 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2C54B]
DumpJSStack+0x00059EB2 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2EF94]
DumpJSStack+0x0005386C [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2894E]
DumpJSStack+0x0005EDA7 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D33E89]
js_Invoke+0x00000A78 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A5E86]
JS_NewHashTable+0x00017A42 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x0009097A]
js_Invoke+0x00000AC5 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A5ED3]
js_Invoke+0x00001178 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A6586]
JS_CallFunctionValue+0x0000009B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x00005B0C]
gfxImageSurface::GetSize() const+0x00007A1B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00882115]
gfxImageSurface::GetSize() const+0x0008E9C9 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x009090C3]
gfxImageSurface::Format() const+0x00005970 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x0068B8F6]
gfxImageSurface::Format() const+0x00005DE8 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x0068BD6E]
gfxImageSurface::Format() const+0x00035389 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x006BB30F]
gfxImageSurface::Format() const+0x00035534 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x006BB4BA]
gfxImageSurface::Format() const+0x00033969 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x006B98EF]
gfxImageSurface::Format() const+0x00034600 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x006BA586]
mozilla::layers::Layer::IntersectClipRect(nsIntRect const&)+0x00009E3D [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x002BC073]
DumpJSStack+0x0011CAF0 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00DF1BD2]
DumpJSStack+0x00120995 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00DF5A77]
DumpJSStack+0x001CA552 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00E9F634]
DumpJSStack+0x001D01BC [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00EA529E]
DumpJSStack+0x001BBBB4 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00E90C96]
gfxImageSurface::GetSize() const+0x000393AC [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x008B3AA6]
gfxImageSurface::GetSize() const+0x00045ECA [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x008C05C4]
gfxImageSurface::GetSize() const+0x00046203 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x008C08FD]
NS_InvokeByIndex_P+0x00000240 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x013765AD]
DumpJSStack+0x00057469 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2C54B]
DumpJSStack+0x00059EB2 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2EF94]
DumpJSStack+0x0005386C [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D2894E]
DumpJSStack+0x0005EDA7 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00D33E89]
js_Invoke+0x00000A78 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A5E86]
JS_NewHashTable+0x00017A42 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x0009097A]
js_Invoke+0x00000AC5 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A5ED3]
js_GetLocalNameArray+0x0000374C [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000673F3]
JS_NewHashTable+0x0001781B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x00090753]
js_Invoke+0x00000AC5 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A5ED3]
js_Invoke+0x00001178 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x000A6586]
JS_CallFunctionValue+0x0000009B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/libmozjs.dylib +0x00005B0C]
gfxImageSurface::GetSize() const+0x00007A1B [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00882115]
gfxImageSurface::GetSize() const+0x0003D221 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x008B791B]
gfxImageSurface::GetSize() const+0x0003D774 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x008B7E6E]
NS_GetComponentManager_P+0x00015FB1 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x013620CC]
NS_GetComponentManager_P+0x000161CF [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x013622EA]
NS_GetComponentManager_P+0x0000F22F [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x0135B34A]
nsPrintSession::AddRef()+0x001417CF [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x012E96E5]
mozilla::layers::LayerManagerOGL::gl() const+0x00026840 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x01190D48]
operator delete(void*, void*)+0x00019C94 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x011455BC]
CFArraySortValues (in CoreFoundation) + 189
+[NSArray arrayWithObjects:] (in CoreFoundation) + 537
-[__NSPlaceholderArray init] (in CoreFoundation) + 111
HIView::RecursiveDrawComposited(__HIShape const*, unsigned long, HIView*, CGContext*, unsigned char, float) (in HIToolbox) + 834
HIView::RecursiveDrawComposited(__HIShape const*, unsigned long, HIView*, CGContext*, unsigned char, float) (in HIToolbox) + 165
HIView::RecursiveDrawComposited(__HIShape const*, unsigned long, HIView*, CGContext*, unsigned char, float) (in HIToolbox) + 0
-[NSCarbonMenuImpl _setSupermenuHasMenuRef:] (in AppKit) + 18
-SLMDrawTypeForMenuItem (in AppKit) + 177
-convertPasteboardTypeNameToValueIfNecessary (in AppKit) + 67
operator delete(void*, void*)+0x00019533 [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x01144E5B]
DumpJSStack+0x001F40AA [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x00EC918C]
XRE_main+0x0000285C [/Users/cltbld/talos-slave/mozilla-central-snowleopard-debug-u-mochitest-other/build/MinefieldDebug.app/Contents/MacOS/XUL +0x0001D941]

command timed out: 1200 seconds without output, killing pid 367
It doesn't really make sense for this test to silently time out. It should either report something or throw an exception...
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274904692.1274907838.3717.gz#err0
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/26 13:11:32  
s: talos-r3-snow-006
(Reporter)

Comment 3

9 years ago
http://tinderbox.mozilla.org/Firefox/1275189989.1275192998.3975.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/29 20:26:29
s: talos-r3-snow-013
(Reporter)

Comment 4

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275423556.1275425784.25191.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/06/01 13:19:16
s: talos-r3-snow-046
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275548761.1275550895.10263.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/06/03 00:06:01
(Reporter)

Comment 6

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275691986.1275694152.21388.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/06/04 15:53:06
s: talos-r3-snow-038
(Reporter)

Comment 7

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275730611.1275732753.9042.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/06/05 02:36:51
s: talos-r3-snow-050
(Reporter)

Comment 8

8 years ago
Multiple times over a two week span, and then nothing? Yeah, it makes more sense that something else, which got fixed, was taking it down.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.